# Class GetInventoryResponse

#### Hierarchy

- unknown
  - GetInventoryResponse

- Defined in src/protobuf/pb_pb.d.ts:593
- Defined in src/protobuf/pb_pb.d.ts:605

#####
Index

### Constructors

constructor

### Methods

clearInventoryMap
getInventoryMap
serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetInventoryResponse(): GetInventoryResponse

- #### Returns GetInventoryResponse

  Inherited from jspb.Message.constructor

## Methods

### clearInventoryMap

- clearInventoryMap(): GetInventoryResponse

- #### Returns GetInventoryResponse

  - Defined in src/protobuf/pb_pb.d.ts:595

### getInventoryMap

- getInventoryMap(): Map<string, string>

- #### Returns Map<string, string>

  - Defined in src/protobuf/pb_pb.d.ts:594

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:597

### toObject

- toObject(includeInstance?: boolean): GetInventoryResponse.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetInventoryResponse.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:598

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetInventoryResponse

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetInventoryResponse

  - Defined in src/protobuf/pb_pb.d.ts:601

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetInventoryResponse, reader: BinaryReader): GetInventoryResponse

- #### Parameters

  - ##### message: GetInventoryResponse

  - ##### reader: BinaryReader

  #### Returns GetInventoryResponse

  - Defined in src/protobuf/pb_pb.d.ts:602

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetInventoryResponse, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetInventoryResponse

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:600

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetInventoryResponse): GetInventoryResponse.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetInventoryResponse

  #### Returns GetInventoryResponse.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:599

Generated using TypeDoc